//
//  Document.h
//  Pods
//
//  Created by Blazej Zyglarski on 11/03/2020.
//

#import <Foundation/Foundation.h>
#import "Page.h"

NS_ASSUME_NONNULL_BEGIN

@interface Document : NSObject
@property(atomic) NSString * id_;
@property(nonatomic) struct CGPDFDocument * renderer;
@property(nonatomic) NSArray *  pages;
@property(nonatomic) NSDictionary* infoMap;

- (id) initWithId: (NSString *) id_  renderer: (struct CGPDFDocument *) renderer;
- (size_t) getPagesCount;
-(CGPDFPageRef) openPage: (size_t) number;
@end

NS_ASSUME_NONNULL_END
