//
//  DocumentRepository.m
//  Pods
//
//  Created by Blazej Zyglarski on 12/03/2020.
//

#import "DocumentRepository.h"

@implementation DocumentRepository

/*func register(renderer: CGPDFDocument) -> Document {
    let id = NSUUID().uuidString
    let page = Document(id: id, renderer: renderer)
    set(id: id, item: page)
    return page
}*/

-(Document *) registerRenderer:(CGPDFDocumentRef) renderer{
    NSString * id_ = [[[NSUUID alloc] init] UUIDString];
    Document * page = [[Document alloc] initWithId:id_ renderer:renderer];
    [self set:id_ item:page];
    return page;
}
    
@end
