//
//  Repository.m
//  Pods
//
//  Created by Blazej Zyglarski on 12/03/2020.
//

#import "Repository.h"

@implementation Repository


- (instancetype)init
{
    self = [super init];
    if (self) {
        self.items = [[NSMutableDictionary alloc] initWithCapacity:100];
    }
    return self;
}



-(nullable id) get:(NSString*) id_{
    return [self.items objectForKey:id_];
}

-(void) close:(NSString*) id_{
    [self.items removeObjectForKey:id_];
}

-(Boolean) exists:(NSString*) id_{
    return [self.items objectForKey:id_] != nil;
}

-(void) set:(NSString*) id_ item:(id)item{
     [self.items setObject:item forKey:id_];
}


@end
