//
//  DataResult.h
//  Pods
//
//  Created by Blazej Zyglarski on 12/03/2020.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface DataResult : NSObject
    @property (atomic) size_t width;
    @property (atomic) size_t height;
    @property (nonatomic) NSData* data;

- (id) initWithWidth: (size_t) width height: (size_t) height data: (nullable NSData*) data;
@end

NS_ASSUME_NONNULL_END
