//
//  DocumentRepository.h
//  Pods
//
//  Created by Blazej Zyglarski on 12/03/2020.
//

/*
 class DocumentRepository : Repository<Document> {
     func register(renderer: CGPDFDocument) -> Document {
         let id = NSUUID().uuidString
         let page = Document(id: id, renderer: renderer)
         set(id: id, item: page)
         return page
     }
 }

 */

#import <Foundation/Foundation.h>
#import "Repository.h"
#import "Document.h"

NS_ASSUME_NONNULL_BEGIN

@interface DocumentRepository : Repository

-(Document *) registerRenderer:(CGPDFDocumentRef) renderer;
@end

NS_ASSUME_NONNULL_END
