//
//  PageRepository.m
//  Pods
//
//  Created by Blazej Zyglarski on 12/03/2020.
//

#import "PageRepository.h"

@implementation PageRepository
/* func register(documentId: String, renderer: CGPDFPage) -> Page {
       let id = NSUUID().uuidString
       let page = Page(id: id, documentId: documentId, renderer: renderer)
       set(id: id, item: page)
       return page
   }*/

-(Page *) registerDocumentID:(NSString*) documentId Renderer:(CGPDFPageRef) renderer{
    NSString * id_ = [[[NSUUID alloc] init] UUIDString];
    Page * page = [[Page alloc] initWithId:id_ documentId:documentId renderer:renderer];
    [self set:id_ item:page];
    return page;
}
@end
