//
//  Repository.h
//  Pods
//
//  Created by Blazej Zyglarski on 12/03/2020.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface Repository : NSObject
@property (nonatomic) NSMutableDictionary * items;
-(nullable id) get:(NSString*) id_;
-(void) close:(NSString*) id_;
-(void) set:(NSString*) id_ item:(id)item;
-(Boolean) exists:(NSString*) id_;
@end

NS_ASSUME_NONNULL_END
